Bug 907916 - migration from f17 to f18 host w/ qxl is broken
migration from f17 to f18 host w/ qxl is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 09:21 EST by Vinzenz Feenstra [evilissimo]
Modified: 2013-04-17 22:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-17 22:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2013-02-05 09:21:01 EST
Description of problem:
Migrating a kvm based virtual machine with spice configured from a host with Fedora 17 and qemu-kvm-1.0.1-2 to Fedora 18 with qemu-kvm-1.2.2-2 fails with the following error in the log:

qemu: warning: error while loading state for instance 0x0 of device 'ram'          
load of migration failed                                                        


Version-Release number of selected component (if applicable):
qemu-kvm-1.2.2-2.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a VM on fedora 17 with spice as video
2. Migrate to a host with fedora 18
  
Actual results:
Migration will never complete and fail.

Expected results:
Migration will complete successfully


Additional info:
Comment 1 Vinzenz Feenstra [evilissimo] 2013-02-05 09:22:45 EST
Please note that this issue has been fixed in qemu 1.3 and a patch has been sent also for RHEL here: https://bugzilla.redhat.com/show_bug.cgi?id=869981
Comment 2 Cole Robinson 2013-02-06 18:45:14 EST
Hi Vinzenz, thanks for the report and link to the commit. I verified that the referenced commit does fix migration from f17 to f18.

However it breaks migration from pre-patch f18 to post-patch f18, which is a common case for people that use libvirt to save VMs on shutdown. I've posted upstream about it:

https://lists.gnu.org/archive/html/qemu-devel/2013-02/msg00991.html
Comment 3 Cole Robinson 2013-04-01 08:26:50 EDT
This is 'fixed' in rawhide, but that patch needs to be adapted to work on F18 as well:

http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0105-qxl-Add-rom_size-compat-property-fix-migration-from-.patch
Comment 4 Fedora Update System 2013-04-02 13:53:59 EDT
qemu-1.2.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.2-8.fc18
Comment 5 Fedora Update System 2013-04-03 00:41:10 EDT
Package qemu-1.2.2-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.2.2-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4711/qemu-1.2.2-8.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-04-03 05:59:32 EDT
qemu-1.2.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.2-9.fc18
Comment 7 Fedora Update System 2013-04-09 02:25:18 EDT
qemu-1.2.2-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.2-10.fc18
Comment 8 Fedora Update System 2013-04-17 22:29:35 EDT
qemu-1.2.2-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.